## org.apache.http
Interface HttpResponseFactory

All Known Implementing Classes:
  DefaultHttpResponseFactory

    public interface HttpResponseFactory

A factory for `HttpResponse` objects.

Since:
  4.0

Method Summary
`HttpResponse` `newHttpResponse(ProtocolVersion ver, int status, HttpContext context)` Creates a new response from status line elements.
`HttpResponse` `newHttpResponse(StatusLine statusline, HttpContext context)` Creates a new response from a status line.

Method Detail

### newHttpResponse

    HttpResponse newHttpResponse(ProtocolVersion ver,
                                 int status,
                                 HttpContext context)

  Creates a new response from status line elements.

  Parameters:
    `ver` - the protocol version
    `status` - the status code
    `context` - the context from which to determine the locale for looking up a reason phrase to the status code, or `null` to use the default locale
  Returns:
    the new response with an initialized status line

### newHttpResponse

    HttpResponse newHttpResponse(StatusLine statusline,
                                 HttpContext context)

  Creates a new response from a status line.

  Parameters:
    `statusline` - the status line
    `context` - the context from which to determine the locale for looking up a reason phrase if the status code is updated, or `null` to use the default locale
  Returns:
    the new response with the argument status line

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.